Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class DeviceRGBColorSpace

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.ColorSpace<PdfName>
              org.pdfclown.documents.contents.colorSpaces.DeviceColorSpace
                  org.pdfclown.documents.contents.colorSpaces.DeviceRGBColorSpace

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF11)
    public final class DeviceRGBColorSpace

extends DeviceColorSpace

Device Red-Green-Blue color space [PDF:1.6:4.5.3].

Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static DeviceRGBColorSpace` | `Default`

Constructor Summary
`DeviceRGBColorSpace(Document context)`

Method Summary
`DeviceRGBColorSpace` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`DeviceRGBColor` | `getColor(List<PdfDirectObject> components, IContentContext context)` Gets the color value corresponding to the specified components interpreted according to this color space [PDF:1.6:4.5.1].
`int` | `getComponentCount()` Gets the number of components used to represent a color value.
`DeviceRGBColor` | `getDefaultColor()` Gets the initial color value within this color space.
`Paint` | `getPaint(Color<?> color)` Gets the rendering representation of the specified color value.

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.ColorSpace
`wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Default

    public static final DeviceRGBColorSpace Default

Constructor Detail

### DeviceRGBColorSpace

    public DeviceRGBColorSpace(Document context)

Method Detail

### clone

    public DeviceRGBColorSpace clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfName>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getColor

    public DeviceRGBColor getColor(List<PdfDirectObject> components,
                                   IContentContext context)

  Description copied from class: `ColorSpace`
  Gets the color value corresponding to the specified components interpreted according to this color space [PDF:1.6:4.5.1].

  Specified by:
    `getColor` in class `ColorSpace<PdfName>`
  Parameters:
    `components` - Color components.
    `context` - Content context.

### getComponentCount

    public int getComponentCount()

  Description copied from class: `ColorSpace`
  Gets the number of components used to represent a color value.

  Specified by:
    `getComponentCount` in class `ColorSpace<PdfName>`

### getDefaultColor

    public DeviceRGBColor getDefaultColor()

  Description copied from class: `ColorSpace`
  Gets the initial color value within this color space.

  Specified by:
    `getDefaultColor` in class `ColorSpace<PdfName>`

### getPaint

    public Paint getPaint(Color<?> color)

  Description copied from class: `ColorSpace`
  Gets the rendering representation of the specified color value.

  Specified by:
    `getPaint` in class `ColorSpace<PdfName>`
  Parameters:
    `color` - Color value to convert into an equivalent rendering representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.